<?php

namespace App\Enums;

enum LogLevelEnum: string
{
    case DEBUG = 'debug';
    case INFO = 'info';
    case WARNING = 'warning';
    case ERROR = 'error';
    case CRITICAL = 'critical';

    /**
     * @return array<int, string>
     */
    public static function toArray(): array
    {
        return [
            self::DEBUG->value,
            self::INFO->value,
            self::WARNING->value,
            self::ERROR->value,
            self::CRITICAL->value,
        ];
    }
}
